// predefined bg color of navbar logo bg
@include media-breakpoint-only(lg) {
    #main-wrapper .topbar .top-navbar .navbar-header {
        background: $skin1;
    }
}

// Theme colors
#main-wrapper {

    /*This is for the logo bg*/
    &[data-layout="vertical"] {
        .topbar .top-navbar .navbar-header {
            &[data-logobg="skin1"] {
                background: $skin1;
            }

            &[data-logobg="skin2"] {
                background: $skin2;
                .navbar-brand {
                    .dark-logo {
                        display: inline;
                    }

                    .light-logo {
                        display: none;
                    }
                }

                .nav-toggler, .topbartoggler {
                    color: $body-color;
                }
            }

            &[data-logobg="skin3"] {
                background: $skin3;
            }

            &[data-logobg="skin4"] {
                background: $skin4;
            }

            &[data-logobg="skin5"] {
                background: $skin5;
            }

            &[data-logobg="skin6"] {
                background: $skin6;
            }

            &[data-logobg="skin7"] {
                background: $skin7;
            }

            &[data-logobg="skin8"] {
                background: $skin8;
            }
        }
    }

    /*This is for the navbar bg*/
    &[data-layout="vertical"], &[data-layout="horizontal"] {
        .topbar .navbar-collapse, .topbar {

            &[data-navbarbg="skin1"] {
                @extend %skin_gredient_1;
            }

            &[data-navbarbg="skin2"] {
                @extend %skin_gredient_2;
                .search-icon {
                    //background: rgba(0, 0, 0, .06);

                    span {

                        &::before {
                            background: rgba(0,0,0,.8);
                        }

                        &::after {
                            border: 2px solid rgba(0,0,0,.8);
                        }
                    }
                }
            }

            &[data-navbarbg="skin3"] {
                @extend %skin_gredient_3;
            }

            &[data-navbarbg="skin4"] {
                @extend %skin_gredient_4;
            }

            &[data-navbarbg="skin5"] {
                @extend %skin_gredient_5;
                .close {

                    &::before,
                    &::after {
                        position: absolute;
                        content: '';
                        background: hsla(0,0%,100%,.8);
                        border-radius: 2px;
                    }
                }
            }

            &[data-navbarbg="skin6"] {
                @extend %skin_gredient_6;
            }

            &[data-navbarbg="skin7"] {
                @extend %skin_gredient_7;
            }

            &[data-navbarbg="skin8"] {
                @extend %skin_gredient_8;
            }
        }

        /*This is for the sidebar bg*/
        .left-sidebar {
            &[data-sidebarbg="skin1"], &[data-sidebarbg="skin1"] ul {
                background: $skin1;

                .sidebar-footer {
                    background: $skin1;
                }
            }

            &[data-sidebarbg="skin2"], &[data-sidebarbg="skin2"] ul {
                background: $skin2;

                .sidebar-footer {
                    background: $skin2;
                }

                .sidebar-footer {
                    border-top: 1px solid $border-color;
                }

                .sidebar-footer a,
                .user-profile .profile-text a {
                    color: $body-color
                }

                .sidebar-nav {
                    ul {
                        background: $skin2;

                        .sidebar-item {
                            .sidebar-link {
                                color: $sidebar-text-dark;
                                opacity: 1;

                                &:hover {
                                    color: $black;

                                    .feather {
                                        color: $info;
                                    }
                                }

                                i, .feather {
                                    color: $sidebar-icons-dark;
                                }

                                &.active {
                                    color: $info;

                                    i, .feather {
                                        color: $info;
                                    }
                                }
                            }

                            &.selected > .sidebar-link {
                                border-left: 3px solid $info;
                                color: $info;
                                /*background: rgba(0, 0, 0, 0.04);*/
                                opacity: 1;

                                i {
                                    color: $info;
                                }
                            }

                            .first-level {
                                .sidebar-item {
                                    .sidebar-link.active {
                                        color: $gray-800;

                                        i {
                                            color: $gray-800;
                                        }
                                    }
                                }
                            }
                        }

                        .nav-small-cap {
                            color: $gray-500;
                            opacity: 1;
                        }

                        .nav-devider {
                            background: rgba(120, 130, 140, 0.13);
                        }
                    }

                    .has-arrow {
                        &::after {
                            border-color: $body-color;
                        }
                    }
                }

            }

            &[data-sidebarbg="skin3"], &[data-sidebarbg="skin3"] ul {
                background: $skin3;

                .sidebar-footer {
                    background: $skin3;
                }
            }

            &[data-sidebarbg="skin4"], &[data-sidebarbg="skin4"] ul {
                background: $skin4;

                .sidebar-footer {
                    background: $skin4;
                }
            }

            &[data-sidebarbg="skin5"], &[data-sidebarbg="skin5"] ul {
                background: $skin5;

                .sidebar-footer {
                    background: $skin5;
                }
            }

            &[data-sidebarbg="skin6"], &[data-sidebarbg="skin6"] ul {
                background: $skin6;

                .sidebar-footer {
                    background: $skin6;
                }
            }

            &[data-sidebarbg="skin7"], &[data-sidebarbg="skin7"] ul {
                background: $skin7;

                .sidebar-footer {
                    background: $skin7;
                }
            }

            &[data-sidebarbg="skin8"] {
                background: $skin8;

                .sidebar-footer {
                    background: $skin8;
                }
            }
        }
    }

    &[data-layout="horizontal"] {
        /*This is for the logo bg*/
        .topbar {
            &[data-navbarbg="skin1"] {
                @extend %skin_gredient_1;
            }

            &[data-navbarbg="skin2"] {
                @extend %skin_gredient_2;
                .top-navbar .navbar-header {
                    .navbar-brand {
                        .dark-logo {
                            display: inline;
                        }

                        .light-logo {
                            display: none;
                        }
                    }
                }
            }

            &[data-navbarbg="skin3"] {
                @extend %skin_gredient_3;
            }

            &[data-navbarbg="skin4"] {
                @extend %skin_gredient_4;
            }

            &[data-navbarbg="skin5"] {
                @extend %skin_gredient_5;
            }

            &[data-navbarbg="skin6"] {
                @extend %skin_gredient_6;
            }

            &[data-navbarbg="skin7"] {
                @extend %skin_gredient_7;
            }

            &[data-navbarbg="skin8"] {
                @extend %skin_gredient_8;
            }
        }

        .left-sidebar {
            &[data-sidebarbg="skin1"],
            &[data-sidebarbg="skin2"],
            &[data-sidebarbg="skin3"],
            &[data-sidebarbg="skin4"],
            &[data-sidebarbg="skin5"],
            &[data-sidebarbg="skin6"],
            &[data-sidebarbg="skin7"],
            &[data-sidebarbg="skin8"] {
                .sidebar-nav {
                    ul {
                        .sidebar-item {
                            &.selected > .sidebar-link {
                                border-left: 0;
                            }
                        }
                    }
                }
            }
        }
    }
}
